/* GENERAL */

html {
    font-size: 62.5%;
    --hotred: #f15c55;
    --hotblue: #6dbad9;
    --hotdark: #0F376E;
    --hotgreen: #6dd9a4;
}

body {
    background: black;
}

html,
body,
input,
button,
select,
textarea,
.navbar-search .search-query,
h1,
h2,
h3,
h4 {
    font-family: 'Lato', sans-serif !important;
    padding: 0;
    font-size: 1rem;
}

h1,
h2,
h3 {
    font-family: Montserrat, sans-serif !important;
    color: var(--hotred);
    font-size: 2rem;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin: 6px 0 6px 0;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 3px;
}

h1 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
    color: var(--hotdark);
}

h4 {
    font-weight: 100;
    font-style: normal;
    font-size: 2rem;
    margin: 0 0 4px 0;
    color: var(--hotblue);
}

h5 {
    font-family: Montserrat, sans-serif;
    color: var(--hotred);
    font-size: 1rem;
    font-weight: 800;
    text-transform: uppercase;
    letter-spacing: 1px;
    line-height: 150%;
    margin: 6px 0 6px 0;
}

a,
a:hover,
a:focus,
a:visited {
    text-decoration: none;
    color: inherit;
}

em,
u {
    font-style: normal;
    text-transform: uppercase;
    letter-spacing: 1px;
}

u {
    font-size: smaller;
    font-weight: bold;
    text-decoration: none;
}


/* NAVBAR */

header {
    background-color: black;
    border: none;
    text-align: center;
    padding: 18px 0 18px;
}

img.brand {
    display: block;
    height: 10rem;
    max-width: 80%;
    padding-bottom: 10px;
    margin: auto;
}

img.brand-banner {
    display: block;
    height: 200px;
    max-width: 80%;
    margin: 18px auto 30px auto;
}

header .logotype {
    color: var(--hotblue);
    margin-top: 8px;
}

header .location-date {
    font-size: 18px;
    display: inline; 
    color: var(--hotred);
    white-space: no-wrap;
    line-height: 1.5;
}

.hotred {
    color: var(--hotred);
}

.gy {
    color: #CCCCCC;
    margin-left: 8px;
}

.dgy {
    color: #666666;
}


/* Bootstrap Carousel */

#carousel-wrapper {
    transition: max-height 2s;
    max-height: calc(300px + 20vw);
    overflow: hidden;
}

#carousel-wrapper.closed {
    max-height: 0;
}

.carousel {
    height: calc(300px + 20vw);
    margin: 0;
    background: #000;
}

a.right.carousel-control,
a.left.carousel-control {
    position: absolute;
    top: 50%;
    width: 100%;
    transform: translateY(-50%);
    z-index: 100;
    transition: opacity .5s;
    background: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 1rem;
}

a.right.carousel-control {
    justify-content: flex-end;
}

a.carousel-control img {
    height: 3rem;
}

.carousel-inner {
    height: 100%
}

.carousel-item {
    height: 100%;
    width: 100%;
    background-color: black;
}

.graytype {
    color: #222222 !important;
}

.carousel-inner>.carousel-item>.carousel-img {
    width: 100%;
    height: 100%;
    background-size: cover;
}

@media screen and (max-device-width: 1000px) {
    .carousel-inner>.carousel-item>.carousel-img {
        background-size: auto 100%;
        background-position: center center;
        background-repeat: no-repeat;
    }
}

.caption-center {
    display: table;
    position: absolute;
    z-index: 10;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    transition: 1s;
    background-color: rgba(0, 0, 0, .7);
    -webkit-transition-delay: 1.5s;
    transition-delay: 1.5s;
}

.carousel-caption {
    padding: 0 20% 0 20%;
    display: table-cell;
    position: relative;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    vertical-align: middle;
    text-align: center;
    text-shadow: none;
    color: rgba(255, 255, 255, .8);
    line-height: 140%;
}

.carousel-caption h4 {
    font-weight: 300;
    font-size: 2rem;
    line-height: 2.2rem;
    color: white;
}

.carousel-caption h5 {
    line-height: 120%;
    color: rgb(109, 186, 217);
    font-family: Montserrat;
    font-weight: 800;
}

.carousel-caption .credit {
    font-size: 70%;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 2px;
    opacity: .5;
}

.carousel-caption h5.archive:before {
    content: 'Archive ';
    color: var(--hotgreen);
}

.carousel-indicators {
    top: auto;
    right: 0;
    bottom: 0;
    text-align: center;
}

.carousel-indicators>li {
    display: inline-block;
    width: 10px;
    height: 10px;
}

.active .caption-center {
    opacity: 1;
}

.carousel-fade .carousel-inner .carousel-item {
    opacity: 0;
    transition-property: opacity;
}

.carousel-fade .carousel-inner .carousel-item.active {
    opacity: 1;
}

.carousel-fade .carousel-inner .carousel-item.active.left,
.carousel-fade .carousel-inner .carousel-item.active.right {
    left: 0;
    opacity: 0;
    z-index: 1;
}

.carousel-fade .carousel-inner .carousel-item.next.left,
.carousel-fade .carousel-inner .carousel-item.prev.right {
    opacity: 1;
}


/* Dialog Box Modifications */

.nav-pills .nav-link {
    font-family: Montserrat;
    font-size: .8rem;
    border-radius: 0;
    background-color: #EFEFEF;
}

.nav-pills .nav-link.active,
.nav-pills .nav-link.active:focus,
.nav-pills .nav-link.active:hover {
    background-color: #9dbfd6;
    color: #31708F;
}

h4.modal-title {
    font-family: Montserrat;
    font-weight: 300;
    text-transform: uppercase;
    font-size: 1.5rem;
    color: black;
    letter-spacing: 2px;
}

.modal-content {
    border-radius: 0;
}

.panel-body {
    padding: 18px 0;
}

.panel-default>.panel-heading {
    background-color: #6dbad9;
    border-color: #6dbad9;
}

a[data-toggle] {
    display: block;
}

h4.panel-title {
    font-family: Montserrat, san-serif !important;
    color: var(--hotred);
    font-weight: bold;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 2px;
    padding: 12px;
    margin: 8px 0;
    background-color: black;
}

.info-menu {
    padding: 8px;
    width: 280px;
    max-width: 100%;
}

.tab-content {
    padding: 12px 0 0 0;
}

/* Lineup */

#lineup {
    padding: 5vh 0 5vh 0;
    background-color: black;
    text-align: center;
    max-height: 10000px;
    overflow: hidden;
    transition: max-height 20s;
}

#lineup.closed {
    max-height: 0;
    padding: 0;
}

#lineup h1 {
    color: var(--hotblue);
    margin-bottom: 3rem;
    font-size: 2.5rem;
    padding-top: 36px;
    border-top: 4px solid var(--hotblue);
}

.lineup-session::first-line {
    font-size: 1.2rem;
    margin: 0;
    padding: 0;
    color: white;
}

.lineup-session {
    font-family: Montserrat, sans-serif;
    font-weight: 800;
    color: #6499AF;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: .8rem;
    margin: 18px auto;
    padding: 18px 0;
    background-color: rgba(147, 214, 255, 0.1);
    line-height: 26px;
    max-width: 400px;
}

.lineup-groupcomposer {
    font-family: Lato, sans-serif !important;
    display: block;
    text-decoration: none;
    font-style: normal;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 14px;
    margin: 18px 0 4px 0;
    color: wheat;
    padding: 18px 0 0 0;
    border-top: 2px dotted rgba(170, 170, 170, .2);
}

.lineup-session + .lineup-groupcomposer {
    border-top: none;
}

#lineup p, .lineup-workname {
    font-family: Lato, sans-serif !important;
    margin: 0;
    padding: 8px;
    font-size: 20px;
    color: white;
}

.lineup-performers {
    display: block;
    font-size: 16px;
    font-style: italic;
    margin: 0;
    text-decoration: none;
    text-transform: none;
    color: silver;
    font-family: Lato, sans-serif !important;
    font-weight: normal;
}

.lineup-performers + .lineup-workname {
    padding-top: 18px;
}

/* HISTORY PANES */

#history-dropdown .dropdown-toggle {
    color: white !important;
}

#history-tabs { display: flex; overflow: hidden;}
#history-tabs .pane { position: absolute; left: -1000; width: 0; overflow: hidden; padding: 0; margin: 0; opacity: 0; transition: opacity 1s; }
#history-tabs .pane.showpane {
    position: static;
    width: auto;
    left: 0;
    flex: 0 0 100%; 
    opacity: 1;
}



/* MAILCHIMP */

.mc-field-group input {
    border-radius: 4px;
    border: 1px gray solid;
    margin: 12px;
    width: 50%;
}


/* FOOTER */

#carousel-wrapper.closed + #lineup.closed + footer#hafoot {
    margin-top: 144px;
}

#hafoot {
    display: flex;
    flex-flow: row wrap;
    background: rgba(0, 0, 0, .8);
    padding: 1.2rem;
    min-height: 10vh;
    color: #AAAAAA;
    font-size: .85rem;
    line-height: 1.5rem;
    border-top: 8px solid rgba(0, 0, 0, .5);
}

#hafoot h1 {
    font-size: 1.5rem;
    color: rgb(109, 186, 217);
    margin: 0;
    padding: 0;
}

#hafoot h5 {
    font-size: .8rem;
    margin: 6px 0;
}

#hafoot .scrim {
    display: block;
    position: absolute;
    z-index: -1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: black url(images/hot_air_mark3.svg) center top no-repeat;
    background-size: 80% auto;
    pointer-events: none;
}

#hafoot>div {
    display: inline-block;
    vertical-align: text-top;
    padding-top: 0;
}

#hafoot .flogo {
    width: 60%;
}

#hafoot .linx {
    min-width: 200px;
    width: 38%;
    min-width: 12rem;
    list-style: none;
    text-align: left;
    padding: 0 2rem 0 0;
    text-align: right;
}

@media screen and (max-width: 550px) {
    #hafoot>div {
        display: block;
        width: 100% !important;
    }
    #hafoot .linx {
        display: block;
        width: auto;
        text-align: left;
        margin-top: 1rem;
        border-top: 1px solid #666666;
        padding-top: 1rem;
    }
}

#hafoot a {
    font-family: Montserrat;
    font-weight: bold;
    display: block;
    text-transform: uppercase;
    letter-spacing: 3px;
    font-size: .75rem;
    margin: 12px 0 0 0;
    color: #AAAAAA;
}

#hafoot .linx li a:first-of-type {
    margin-top: 0;
}

#hafoot a:visited {
    color: #AAAAAA;
    text-decoration: none;
}

#hafoot a:hover {
    color: white;
    text-decoration: none;
}



/*
#heating-up
{
    background: linear-gradient( 0, rgba(0,0,0,.5), rgba(0,0,0,0.2) ),url(http://www.hotairmusicfestival.com/images/heating_up.jpg);
    background-size: cover,cover;
    background-position: 50% 50%, 50% 50%;
    text-transform: uppercase;
    padding: 6vh;
    color: white;
    text-align: center;
    line-height: 140%;
    letter-spacing: 1px;
}

#heating-up {
    text-align: center;
}

#heating-up h1 {
    font-size: 36px;
    color: #f15c55;
}

#heating-up button {
    border-radius: 18px;
    background-color: #f15c55;
    color: white;
    border: none;
    padding: 6px 12px;
    text-transform: uppercase;
    font-size: smaller;
    letter-spacing: 2px;
    margin: 18px;
}

*/